Mono.Parallel 4.0.0.0 The normal way to use another scheduler with ParalleFx is by creating a new type subclassing . However Mono's ParallelFx has a few specifities which aren't captured by the base API. Developpers can thus also implement this interface with their custom scheduler for better Mono integration. The changes added by implementing this interface are totally non-breaking and the assembly will still work perfectly with .NET ParallelFx provided you implement correctly correctly.
- Method
  4.0.0.0
  System.Void `` The task to wait on. This method will be called when a thread decides to wait on a task completion. Developpers are free to simply wait on the supplied Task or provide a smarter cooperative waiting mechanism. A simple waiting mechanism can be achieved via the following pattern: `public void PartiticipateUntil (Task task) { ManualResetEventSlim evt = new ManualResetEventSlim (false); task.ContinueWith (_ => evt.Set (), TaskContinuationOptions.ExecuteSynchronously); evt.Wait (); }`
- Method
  4.0.0.0
  System.Boolean `` `` `` Task to wait on. Additional preemptive conditions for stopping the waiting. An countdown specifying the maximum amount of time the method can last before returning. This method will be called when a thread decides to wait on a task completion or a set of condition summarized via the given . Developpers are free to simply wait on the supplied Task/event or provide a smarter cooperative waiting mechanism. if the method returns because of either event was set or timeout was reached, if the task completed. To be added.